# Class CIM_AlertInstIndication
extends CIM_AlertIndication

A subclass of CIM_AlertIndication that embeds a CIM_Inst Indication. It is used when adding AlertIndication data to a LifeCycle Indication.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Indication
|
+--CIM_ProcessIndication
|
+--CIM_AlertIndication
|
+--CIM_AlertInstIndication

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A subclass of CIM_AlertIndication that embeds a CIM_Inst Indication. It is used when adding AlertIndication data to a LifeCycle Indication.
Indication | boolean | true
UMLPackagePath | string | CIM::Event
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AlertType | uint16 | 7
Description | string | The primary classification of the Indication, defaulted to 7, "Model Change", for this class. This is done because: 1) the primary purpose of AlertInstIndication is to add Alert data to a LifeCycle Indication; and 2) LifeCycle Indications deal with 'model changes'.
MappingStrings | string | Recommendation.ITU|X733.Event type
Override | string | AlertType
Required | boolean | true
ValueMap | string | 1, 2, 3, 4, 5, 6, 7, 8
Values | string | Other, Communications Alert, Quality of Service Alert, Processing Error, Device Alert, Environmental Alert, Model Change, Security Alert
IndObject | string |
Description | string | Embeds the InstIndication that is part of this Alert Indication. Only the properties selected by the Indication Filter's Query are included.
EmbeddedObject | boolean | true
Required | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AlertingElementFormat | uint16 | CIM_AlertIndication
AlertingManagedElement | string | CIM_AlertIndication
Description | string | CIM_AlertIndication
EventID | string | CIM_AlertIndication
EventTime | datetime | CIM_AlertIndication
IndicationFilterName | string | CIM_Indication
IndicationIdentifier | string | CIM_Indication
IndicationTime | datetime | CIM_Indication
Message | string | CIM_AlertIndication
MessageID | string | CIM_AlertIndication
OtherAlertingElementFormat | string | CIM_AlertIndication
OtherAlertType | string | CIM_AlertIndication
OtherSeverity | string | CIM_Indication
OwningEntity | string | CIM_AlertIndication
PerceivedSeverity | uint16 | CIM_AlertIndication
ProbableCause | uint16 | CIM_AlertIndication
ProbableCauseDescription | string | CIM_AlertIndication
ProviderName | string | CIM_AlertIndication
SequenceContext | string | CIM_Indication
SequenceNumber | sint64 | CIM_Indication
SystemCreationClassName | string | CIM_AlertIndication
SystemName | string | CIM_AlertIndication
Trending | uint16 | CIM_AlertIndication
CorrelatedIndications | string[] | CIM_Indication
MessageArguments | string[] | CIM_AlertIndication
RecommendedActions | string[] | CIM_AlertIndication

## Class Methods